org.apache.solr.highlight

## Class SolrFragmentsBuilder

- java.lang.Object
- - org.apache.solr.highlight.HighlightingPluginBase
  - - org.apache.solr.highlight.SolrFragmentsBuilder

- All Implemented Interfaces:
    SolrInfoMBean, NamedListInitializedPlugin
  Direct Known Subclasses:
    ScoreOrderFragmentsBuilder, SimpleFragmentsBuilder

      public abstract class SolrFragmentsBuilder
      extends HighlightingPluginBase
      implements SolrInfoMBean, NamedListInitializedPlugin

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.solr.core.SolrInfoMBean

      `SolrInfoMBean.Category`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_POST_TAGS`
    `static String` | `DEFAULT_PRE_TAGS`

    - ### Fields inherited from class org.apache.solr.highlight.HighlightingPluginBase

      `defaults, numRequests`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SolrFragmentsBuilder()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FragmentsBuilder` | `getFragmentsBuilder(SolrParams params, BoundaryScanner bs)` Return a `FragmentsBuilder` appropriate for this field.
    `protected abstract FragmentsBuilder` | `getFragmentsBuilder(SolrParams params, String[] preTags, String[] postTags, BoundaryScanner bs)`
    `protected char` | `getMultiValuedSeparatorChar(SolrParams params)`
    `String[]` | `getPostTags(SolrParams params, String fieldName)`
    `String[]` | `getPreTags(SolrParams params, String fieldName)`

    - ### Methods inherited from class org.apache.solr.highlight.HighlightingPluginBase

      `getCategory, getDescription, getDocs, getName, getSource, getStatistics, getVersion, init`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.solr.core.SolrInfoMBean

      `getCategory, getDescription, getDocs, getName, getSource, getStatistics, getVersion`

    - ### Methods inherited from interface org.apache.solr.util.plugin.NamedListInitializedPlugin

      `init`

- - ### Field Detail

    - #### DEFAULT_PRE_TAGS

          public static final String DEFAULT_PRE_TAGS

      See Also:
        Constant Field Values

    - #### DEFAULT_POST_TAGS

          public static final String DEFAULT_POST_TAGS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SolrFragmentsBuilder

          public SolrFragmentsBuilder()

  - ### Method Detail

    - #### getFragmentsBuilder

          public FragmentsBuilder getFragmentsBuilder(SolrParams params,
                                                      BoundaryScanner bs)

      Return a `FragmentsBuilder` appropriate for this field.
      Parameters:
        `params` - The params controlling Highlighting
      Returns:
        An appropriate `FragmentsBuilder`.

    - #### getPreTags

          public String[] getPreTags(SolrParams params,
                                     String fieldName)

    - #### getPostTags

          public String[] getPostTags(SolrParams params,
                                      String fieldName)

    - #### getFragmentsBuilder

          protected abstract FragmentsBuilder getFragmentsBuilder(SolrParams params,
                                                                  String[] preTags,
                                                                  String[] postTags,
                                                                  BoundaryScanner bs)

    - #### getMultiValuedSeparatorChar

          protected char getMultiValuedSeparatorChar(SolrParams params)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.